### Enumeration

# Gio SocketFamily

since: 2.22

#### Declaration

    enum Gio.SocketFamily

#### Description

The protocol family of a `GSocketAddress`. (These values are identical to the system defines `AF_INET`, `AF_INET6` and `AF_UNIX`, if available.).

Available since: 2.22

#### Members

`G_SOCKET_FAMILY_INVALID`

  No address family.

  - Value: `0`
  - Available since: 2.22
`G_SOCKET_FAMILY_UNIX`

  The UNIX domain family.

  - Value: `1`
  - Available since: 2.22
`G_SOCKET_FAMILY_IPV4`

  The IPv4 family.

  - Value: `2`
  - Available since: 2.22
`G_SOCKET_FAMILY_IPV6`

  The IPv6 family.

  - Value: `10`
  - Available since: 2.22